Jump to content

[TOPIC: topicViewTemplate]
[GLOBAL: userSmallPhoto]
Photo

ld: symbol(s) not found for architecture armv7
Started by raymondwong Nov 05 2019 10:54 PM

15 replies to this topic
[TOPIC CONTROLS]
[/TOPIC CONTROLS]
[modOptionsDropdown]
[/modOptionsDropdown]
[reputationFilter]
[TOPIC: post.html]
#1

raymondwong

[GLOBAL: userInfoPane.html]
raymondwong
  • Enthusiast

  • 43 posts
  • Corona SDK

Hi,

 

    I want to build an app with using OneSignal plugin but it returns the following error:

 

          -[OSInAppMessageView setupWebViewConstraints] in libplugin_OneSignal.a(OneSignal-armv7-master.o)

          ld: symbol(s) not found for architecture armv7
          clang: error: linker command failed with exit code 1 (use -v to see invocation)</result>
          ERROR: Builder failed: Undefined symbols for architecture armv7:
 
    Which I built the app few days before and it works fine.
 
    Does anyone know what's happen?
 
    Thanks
 
Raymond


[TOPIC: post.html]
#2

josh_OneSignal

[GLOBAL: userInfoPane.html]
josh_OneSignal
  • Enthusiast

  • 70 posts
  • Corona SDK

raymondwong, thanks for reporting. We missed adding WebKit and UserNotifications iOS frameworks required by a new release of our SDK which now supports In App Messaging. We just added these missing frameworks and it should automatically be pick up by Corona in the next few hours.



[TOPIC: post.html]
#3

burdin.a.d3

[GLOBAL: userInfoPane.html]
burdin.a.d3
  • Observer

  • 12 posts
  • Corona SDK

the same problem

wait your fix



[TOPIC: post.html]
#4

burdin.a.d3

[GLOBAL: userInfoPane.html]
burdin.a.d3
  • Observer

  • 12 posts
  • Corona SDK

the problem is actual

 

raymondwong, thanks for reporting. We missed adding WebKit and UserNotifications iOS frameworks required by a new release of our SDK which now supports In App Messaging. We just added these missing frameworks and it should automatically be pick up by Corona in the next few hours.



[TOPIC: post.html]
#5

josh_OneSignal

[GLOBAL: userInfoPane.html]
josh_OneSignal
  • Enthusiast

  • 70 posts
  • Corona SDK

@burdin.a.d3 are you seeing this error when building?

"ld: symbol(s) not found for architecture armv7"

 

If so can you provide the full log?

 

After we released the fix yesterday I have not been able to reproduce the build issue. We tested with the latest Corona daily 2019.3548 and Xcode 11.2 on an iOS 13.2 device.



[TOPIC: post.html]
#6

raymondwong

[GLOBAL: userInfoPane.html]
raymondwong
  • Enthusiast

  • 43 posts
  • Corona SDK

The problem is still exist

 

I'm not sure but I'm using OneSignal v1.15.0

Xcode version 10.3

 

 

Here is the log for my build:
 

<result>ld: warning: object file (/Users/Raymond/Desktop/someapp.app/.build/plugin.OneSignal/libplugin_OneSignal.a(OneSignal.o)) was built for newer iOS version (10.0) than being linked (8.0)
                    ld: warning: object file (/Users/Raymond/Desktop/someapp.app/.build/plugin.OneSignal/libplugin_OneSignal.a(OneSignalCoronaDelegate.o)) was built for newer iOS version (10.0) than being linked (8.0)
                    Undefined symbols for architecture armv7:
                      "___isPlatformVersionAtLeast", referenced from:
                          -[OSInAppMessageViewController addConstraintsForMessage] in libplugin_OneSignal.a(OneSignal-armv7-master.o)
                          -[OSInAppMessageView setupWebViewConstraints] in libplugin_OneSignal.a(OneSignal-armv7-master.o)
                    ld: symbol(s) not found for architecture armv7
                    clang: error: linker command failed with exit code 1 (use -v to see invocation)</result>


[TOPIC: post.html]
#7

burdin.a.d3

[GLOBAL: userInfoPane.html]
burdin.a.d3
  • Observer

  • 12 posts
  • Corona SDK

@burdin.a.d3 are you seeing this error when building?

"ld: symbol(s) not found for architecture armv7"

 

If so can you provide the full log?

 

After we released the fix yesterday I have not been able to reproduce the build issue. We tested with the latest Corona daily 2019.3548 and Xcode 11.2 on an iOS 13.2 device.

 

 

Xcode 10.3

we can't use 11.2 because we have problem with in-app purchases with iap badger plugin

 

Log:

 

ERROR: Builder failed: ld: warning: object file (/Users/alexey/Documents/Build Corona Apps/Argonauts.app/.build/plugin.OneSignal/libplugin_OneSignal.a(OneSignal.o)) was built for newer iOS version (10.0) than being linked (8.0)

Nov 08 12:34:05.083 ld: warning: object file (/Users/alexey/Documents/Build Corona Apps/Argonauts.app/.build/plugin.OneSignal/libplugin_OneSignal.a(OneSignalCoronaDelegate.o)) was built for newer iOS version (10.0) than being linked (8.0)
                    ld: warning: object file (/Users/alexey/Documents/Build Corona Apps/Argonauts.app/.build/plugin.appodeal.beta.base/libplugin_appodeal_base.a(AppodealLibrary.o)) was built for newer iOS version (10.3) than being linked (8.0)
                    Undefined symbols for architecture armv7:
                      "___isPlatformVersionAtLeast", referenced from:
                          -[OSInAppMessageViewController addConstraintsForMessage] in libplugin_OneSignal.a(OneSignal-armv7-master.o)
                          -[OSInAppMessageView setupWebViewConstraints] in libplugin_OneSignal.a(OneSignal-armv7-master.o)
                    ld: symbol(s) not found for architecture armv7
                    clang: error: linker command failed with exit code 1 (use -v to see invocation)


[TOPIC: post.html]
#8

burdin.a.d3

[GLOBAL: userInfoPane.html]
burdin.a.d3
  • Observer

  • 12 posts
  • Corona SDK

@burdin.a.d3 are you seeing this error when building?

"ld: symbol(s) not found for architecture armv7"

 

If so can you provide the full log?

 

After we released the fix yesterday I have not been able to reproduce the build issue. We tested with the latest Corona daily 2019.3548 and Xcode 11.2 on an iOS 13.2 device.

 

 

Hello

When to expect a fix?

 

 

UPD:

Here the full log from console. https://pastebin.com/LSpC6TUb



[TOPIC: post.html]
#9

burdin.a.d3

[GLOBAL: userInfoPane.html]
burdin.a.d3
  • Observer

  • 12 posts
  • Corona SDK

up



[TOPIC: post.html]
#10

raymondwong

[GLOBAL: userInfoPane.html]
raymondwong
  • Enthusiast

  • 43 posts
  • Corona SDK

I also want to know when will be the update ready, since my app needs to release a new update soon



[TOPIC: post.html]
#11

josh_OneSignal

[GLOBAL: userInfoPane.html]
josh_OneSignal
  • Enthusiast

  • 70 posts
  • Corona SDK

There are a number of errors such as "was built for newer iOS version (10.0) than being linked (8.0)" that state that the version of iOS being linked to is too old.

ERROR: Builder failed: ld: warning: object file (/Users/alexey/Documents/Build Corona Apps/Argonauts.app/.build/plugin.OneSignal/libplugin_OneSignal.a(OneSignal.o)) was built for newer iOS version (10.0) than being linked (8.0)

Nov 10 10:59:49.935 ERROR: Builder failed: ld: warning: object file (/Users/alexey/Documents/Build Corona Apps/Lovepix.app/.build/plugin.appodeal.base/Appodeal.framework/Appodeal(Appodeal.o)) was built for newer iOS version (9.0) than being linked (8.0)

It includes OneSignal and a number of other plugins in the log. Can you bump the minimum link version to iOS 10?

 

If you can build your app with Corona 2019.3509 or older an older version of OneSignal will be used that isn't linked to iOS 10 as a possible work around.

 

The OneSignal SDK does support back to iOS 8.0 so we will continue to look into the linker error.

 

Thanks.



[TOPIC: post.html]
#12

burdin.a.d3

[GLOBAL: userInfoPane.html]
burdin.a.d3
  • Observer

  • 12 posts
  • Corona SDK

There are a number of errors such as "was built for newer iOS version (10.0) than being linked (8.0)" that state that the version of iOS being linked to is too old.

ERROR: Builder failed: ld: warning: object file (/Users/alexey/Documents/Build Corona Apps/Argonauts.app/.build/plugin.OneSignal/libplugin_OneSignal.a(OneSignal.o)) was built for newer iOS version (10.0) than being linked (8.0)

Nov 10 10:59:49.935 ERROR: Builder failed: ld: warning: object file (/Users/alexey/Documents/Build Corona Apps/Lovepix.app/.build/plugin.appodeal.base/Appodeal.framework/Appodeal(Appodeal.o)) was built for newer iOS version (9.0) than being linked (8.0)

It includes OneSignal and a number of other plugins in the log. Can you bump the minimum link version to iOS 10?

 

If you can build your app with Corona 2019.3509 or older an older version of OneSignal will be used that isn't linked to iOS 10 as a possible work around.

 

The OneSignal SDK does support back to iOS 8.0 so we will continue to look into the linker error.

 

Thanks.

 

 

Thank you

Using version 3509 and XCode 10.3 we get the build without errors, but with multiple warnings like this "warning: (armv7) /tmp/bitcode_strip.LJdcF6 unable to open object file: No such file or directory"

Are they critical?
 
You wrote above that on Xcode 11.2 and iOS 13.2 everything works correctly without errors, I understand correctly?
We'd like to check at the end of the week if that's the case.


[TOPIC: post.html]
#13

josh_OneSignal

[GLOBAL: userInfoPane.html]
josh_OneSignal
  • Enthusiast

  • 70 posts
  • Corona SDK

I am not sure what is the driving factor on what Corona picks as the iOS SDK version to link with. We linked the iOS SDK with iOS 10 which was first included in Xcode 8 believe.

 

I would guess Corona upgraded the iOS version they link with somewhere between the 3510 and 3548. It is possible they choose the link version based on the Xcode version installed but probably only related to the Corona build number.



[TOPIC: post.html]
#14

raymondwong

[GLOBAL: userInfoPane.html]
raymondwong
  • Enthusiast

  • 43 posts
  • Corona SDK

Hi,

 

    Is there any update on this?

 

    Since I cannot update Xcode right now and I can only use Xcode 10.3 in this moment.

 

    But it is not a good idea that I keep use the Corona version 3509 to build app.

 

    Thanks

 

Raymond



[TOPIC: post.html]
#15

guy.stockwell

[GLOBAL: userInfoPane.html]
guy.stockwell
  • Contributor

  • 105 posts
  • Corona SDK

I have the same issue and have a business app that needs to be published this month. Status please.



[TOPIC: post.html]
#16

josh_OneSignal

[GLOBAL: userInfoPane.html]
josh_OneSignal
  • Enthusiast

  • 70 posts
  • Corona SDK

I did some additional testing and found the following versions must be used when including OneSignal in your Corona project

 

  • If you use Corona 2019.3509 or older you can continue to build with Xcode 10.X
  • If you upgrade to Corona 2019.3510 or newer you must build with Xcode 11.0 or newer
  • If you upgrade to Xcode 11.0 or newer you must upgrade to Corona 2019.3510 or newer



[topic_controls]
[/topic_controls]